This is an automatic translation. The original post is available in Englisch.

Upgrade

Anveo EDI Connect verwendet ein Versionsschema, bei dem es eine Haupt- und eine Nebenversion sowie eine Revisionsnummer gibt, z. B. 4.00.01 (Version: 4, Nebenversion: 00, Revision 01). Das Upgrade-Verfahren wird im Folgenden erläutert. Es gibt einen Knowledge-Base-Artikel darüber, ob Sie das Modul in einem bestehenden Live-System aktualisieren sollten. Die Aktualisierung der Modulrevision gilt als sicher, aber Sie müssen das System nach einer Aktualisierung dennoch testen.

Jedes Mal, wenn wir die Hauptversion ändern, kann es zu technischen Änderungen kommen. Wir dokumentieren alle Änderungen zwischen den Versionen im Kapitel Was ist neu.

In diesem Abschnitt werden wir die Upgrade-Anweisungen auf der Grundlage der oben ausgewählten Modulversion zeigen. Bitte stellen Sie sicher, dass Sie zuerst die richtige Version auswählen.

Bevor Sie mit der Aktualisierung beginnen, sollten Sie die EDI-Zuordnungen und Objekte sichern. Bitte probieren Sie eine neue Version immer zuerst in einer Testumgebung aus. Wenn Sie vorhaben, eine Live-Umgebung zu aktualisieren, setzen Sie sich bitte vorher mit unserem Support in Verbindung, um sicherzustellen, dass er Ressourcen zur Verfügung hat, falls Sie Hilfe benötigen.

FOB-Installation

Dieser Abschnitt gilt nicht, wenn Sie die Extension unseres Moduls für Business Central verwenden.

Wenn Sie von einer Version vor 1.47 aktualisieren, überprüfen Sie bitte, ob es eine Tabelle namens “EDI Version Branch” gibt, und löschen Sie die Tabellendaten und das Objekt, bevor Sie auf eine neuere Version aktualisieren.

Mit Anveo EDI Connect 3.00.00 haben wir einige grundlegende Änderungen an der zugrunde liegenden API vorgenommen. Es gibt auch neue Objekte, bitte stellen Sie sicher, dass Sie eine neue NAV-Lizenz bei Microsoft herunterladen, um auf die neuen Objekte zugreifen zu können. Bitte aktualisieren Sie zuerst auf mindestens 1.47.27, bevor Sie auf 3.00 aktualisieren. Prüfen Sie, ob Ihre Änderungen in einem Testsystem funktionieren, bevor Sie ein Live-System aktualisieren. Unser Support hilft Ihnen bei allen Problemen, die durch diese Änderungen verursacht werden. Wenn Sie bei diesen Schritten auf Schwierigkeiten stoßen oder sich nicht sicher sind, ob alles wie vorgesehen funktioniert, wenden Sie sich bitte an unseren Support.

Sie können die neuen Objekte importieren, aber achten Sie darauf, dass Sie Ihre Anpassungen nicht überschreiben. Sie müssen die Codeunit EDI Callback nicht importieren, da es eine zweite Codeunit 5327313 EDI Callback - Template gibt, die mit Anveo EDI Connect ausgeliefert wird. Wenn wir der Codeunit eine Funktion hinzufügen, fügen wir sie auch der Vorlage hinzu. Sie können neue Funktionen einfach aus der Codeunit der 5327313 EDI Callback - Template in Ihre Codeunit den EDI-Callback kopieren. Die Codeunit selbst hat sich von 1.47 bis 4.00 nicht geändert. Es gibt jedoch einige neue Hilfsfunktionen für den Zugriff auf Funktionsparameter.

Wenn Sie die Fernkommunikationskomponenten verwenden, installieren Sie diese bitte erneut, falls sie sich geändert haben.

Nach dem Import der neuen Objekte sollten Sie alle verbleibenden Objekte aus ANVEDI1* entfernen, mit Ausnahme der Codeunit.

Nach einem Upgrade führen Sie bitte den Kompilierbefehl aus der Entwicklungsumgebung für alle EDI-Objekte (Objekt-ID „5327300“ bis „5327399“) aus. Wenn Sie Fehler aufgrund fehlender automations/.NET Dlls erhalten, können Sie diese ignorieren, wenn Sie die Funktionalität nicht benötigen:

  • Remote Communication
    • Dateiübertragung über ftp/ftps, E-Mail
  • ZUGFeRD
    • spezielle PDF-Rechnungen

Nachdem Sie die Objekte aktualisiert haben, öffnen Sie bitte das Fenster EDI-Setup. Sie werden möglicherweise aufgefordert, den Client neu zu starten oder die EDI Mapping zu aktualisieren. Bitte folgen Sie den Anweisungen auf dem Bildschirm. Wenn Sie einen NAS (NAV Application Server) verwenden, müssen Sie möglicherweise auch diesen neu starten.

API-Änderungen mit ANVEDI3.00: Viele der Funktionen aus der Codeunit EDI Global sind nun in der Codeunit EDI Integration verfügbar. Wann immer möglich, sollten Sie die EDI-Integration nutzen.

Je nach Upgrade können auch viele neue Eigenschaften in den EDI-Mappings vorhanden sein. Die EDI-Mappings werden automatisch aktualisiert, aber Sie sollten jedes Mapping nach der Aktualisierung überprüfen.

In Version 1 des Moduls hatten alle Listeneigenschaften ungültige Einträge am Ende, die Sie jetzt sicher entfernen können. Wenn Sie aufgrund der Validierungslogik für Primärschlüsselfelder Fehler erhalten, überprüfen Sie bitte die Datenelementverknüpfungen. Sie müssen jetzt in der richtigen Reihenfolge definiert werden und auch den Validierungsauslöser verwenden.

Der QuickInstall-Import ist obligatorisch. Bitte importieren Sie die QuickInstall-Datei immer wie im Installationskapitel beschrieben, nachdem Sie ein größeres Update erhalten haben.

Bitte lesen Sie diesen Abschnitt erneut, wenn Sie eine neuere Version der Objekte und der Dokumentation erhalten, um zu prüfen, ob zusätzliche Schritte erforderlich sind.

Testen des Moduls nach einem Upgrade

Nach jeder Aktualisierung sollten Sie sicherstellen, dass sich die EDI-Zuordnungen weiterhin wie erwartet verhalten. Wenn es API-Änderungen gibt oder der Konverter sich anders verhält (nur bei größeren Upgrades), werden wir dies in unserem Changelog dokumentieren. Wir erwarten keine Probleme nach einem Minor- oder Revisions-Upgrade, aber wir haben nur eine begrenzte Anzahl von Testfällen. Es liegt in Ihrer Verantwortung, sicherzustellen, dass sich das Modul nach einem Upgrade korrekt verhält.

Wir empfehlen dringend, jedes Update in einem Testsystem auszuprobieren, bevor Sie ein Live-System aktualisieren. Eine direkte Aktualisierung eines Live-Systems birgt immer das Risiko, dass die EDI-Schnittstellen nicht mehr korrekt funktionieren. Wenn die EDI-Daten geschäftskritisch sind, muss dies im Upgrade-Szenario berücksichtigt werden. Alle relevanten Schnittstellen sollten in einem Testsystem überprüft werden, und es sollte geplant werden, wie bei unvorhergesehenen Schwierigkeiten auf die vorherige Version umgeschaltet werden kann.